org.eclipse.microprofile.reactive.messaging.tck.signatures.processors

## Class DirectProcessorBean

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.signatures.processors.DirectProcessorBean

    @ApplicationScoped
    public class DirectProcessorBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DirectProcessorBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getMessgesFromProcessorBuilderOfMessages(String value)`
`void` `getMessgesFromProcessorBuilderOfPayloads(String value)`
`void` `getMessgesFromProcessorOfMessages(String value)`
`void` `getMessgesFromProcessorOfPayloads(String value)`
`CompletionStage<Message<String>>` `messageAsynchronous(Message<Integer> message)`
`Message<String>` `messageSynchronous(Message<Integer> message)`
`CompletionStage<String>` `payloadAsynchronous(int value)`
`String` `payloadSynchronous(int value)`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer>` `streamForProcessorBuilderOfMessages()`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer>` `streamForProcessorBuilderOfPayloads()`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer>` `streamForProcessorOfMessages()`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer>` `streamForProcessorOfPayloads()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectProcessorBean

    public DirectProcessorBean()

### Method Detail

#### streamForProcessorOfMessages

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer> streamForProcessorOfMessages()

#### streamForProcessorOfPayloads

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer> streamForProcessorOfPayloads()

#### streamForProcessorBuilderOfMessages

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer> streamForProcessorBuilderOfMessages()

#### streamForProcessorBuilderOfPayloads

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<Integer> streamForProcessorBuilderOfPayloads()

#### getMessgesFromProcessorOfMessages

    public void getMessgesFromProcessorOfMessages(String value)

#### getMessgesFromProcessorOfPayloads

    public void getMessgesFromProcessorOfPayloads(String value)

#### getMessgesFromProcessorBuilderOfMessages

    public void getMessgesFromProcessorBuilderOfMessages(String value)

#### getMessgesFromProcessorBuilderOfPayloads

    public void getMessgesFromProcessorBuilderOfPayloads(String value)

#### messageSynchronous

    public Message<String> messageSynchronous(Message<Integer> message)

#### payloadSynchronous

    public String payloadSynchronous(int value)

#### messageAsynchronous

    public CompletionStage<Message<String>> messageAsynchronous(Message<Integer> message)

#### payloadAsynchronous

    public CompletionStage<String> payloadAsynchronous(int value)